namespace SK.MemberWeb.Templates.Default
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
	using SK.MemberBLL;

	/// <summary>
	///		cu_Reg_OK 的摘要说明。
	/// </summary>
	public class cu_Reg_OK : BaseControl
	{

		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			if(!IsPostBack)
			{
				_MemberName = Request.QueryString["n"];
				object i = Request.QueryString["i"];
				try
				{
					if(i!=null&&i.ToString()=="1")
					{
						tbOK.Visible = false;
						tbNeedValid.Visible = true;
					}
					else
					{
						tbOK.Visible = true;
						tbNeedValid.Visible = false;
					}
				}
				catch
				{
				}
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		设计器支持所需的方法 - 不要使用代码编辑器
		///		修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		protected SK.MemberWeb.Controls.ControlHolder ControlHolder5;
		protected SK.MemberWeb.Controls.ControlHolder ControlHolder1;
		protected System.Web.UI.HtmlControls.HtmlGenericControl tbOK;
		protected System.Web.UI.HtmlControls.HtmlGenericControl tbNeedValid;
		string _MemberName;
		public string MemberName
		{
			get{return _MemberName;}
			set{_MemberName=value;}
		}
		
	}
}
